import type { Control, FieldPath, FieldValues, ValidateResult } from "react-hook-form";
import type { FieldSettingsByType } from "../field-settings-by-type";
import type { Rule } from "./rule.entity";
export type FormField<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> = {
    hidden?: boolean;
    validate?: (value: any) => ValidateFieldResult;
    name: TName;
    label?: string;
    required?: boolean;
    leftAddon?: React.ReactNode;
    rightAddon?: React.ReactNode;
    disabled?: boolean;
    size: number;
    placeholder?: string;
    helperText?: string;
    className?: string;
    style?: React.CSSProperties;
    /**
     * If returns true, whould activate field
     */
    rules?: Rule[];
} & FieldSettingsByType;
declare function getRequiredFieldNames(fields: FormField[][]): string[];
declare function createFields<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>>(_: Control<TFieldValues>, fields: FormField<TFieldValues, TName>[]): FormField<TFieldValues, TName>[];
export type ValidateFieldResult = ValidateResult | Promise<ValidateResult>;
declare function validateField(value: any, fieldConfig: FormField): ValidateFieldResult;
export { createFields, getRequiredFieldNames, validateField };
