import type { FormField } from "./field.entity";
import type { FormStore } from "../../use-form-store";
import { Condition } from "../conditions";
export interface Rule {
    dependentFieldName: string;
    condition: Condition;
    value: any;
}
/**
 * Verifica se as regras de validação em um objeto de configuração são atendidas com base nos valores fornecidos.
 *
 * @param config - O objeto de configuração que contém as regras de validação.
 * @param requiredFields - Um registro de campos obrigatórios com seus respectivos valores.
 * @returns `true` se pelo menos uma regra for válida, ou `true` se não houver regras definidas.
 */
export declare function validateRules(config: FormField, requiredFields: Record<string, any>, formStore: FormStore): boolean;
