"use strict";var e=require("zod"),r=require("date-fns");exports.createFields=function(e,r){return r},exports.getRequiredFieldNames=function(e){const r=Array();for(const a of e)for(const e of a)if(e.rules)for(const a of e.rules)r.push(a.dependentFieldName);return r},exports.validateField=function(a,t){let o;const i=`O campo ${t.label} é obrigatório`;switch(t.type){case"email":o=e.z.string({required_error:i}).trim().email(`O campo ${t.label} não possui um e-mail valido.`);break;case"password":{let r=e.z.string({required_error:i});t.required&&(r=r.min(6,`O campo ${t.label} precisa ter ao menos 6 caracteres.`)),o=r;break}case"text":{let r=e.z.string({required_error:i}).trim();t.required&&(r=r.min(1,i)),void 0!==t.maxLength&&(r=r.max(t.maxLength,`O campo ${t.label} não atende a quantidade máxima de ${t.maxLength} caracteres`)),o=r;break}case"select":{let r=e.z.string({required_error:i}).or(e.z.number({required_error:i}));t.required&&(r=e.z.string({required_error:i}).min(1,i).or(e.z.number({required_error:i}).min(1,i))),o=r.refine((e=>!e||void 0!==t.pagination||void 0!==t.onSearch||t.options?.some((r=>r.value.toString()===e.toString()))),"Selecione uma opção válida");break}case"switch":case"checkbox":{const r=e.z.boolean({required_error:i});o=t.required?r.refine((e=>!0===e),{message:i}):r;break}case"multi-select":{let r=e.z.union([e.z.string(),e.z.number()]).array();t.required&&(r=r.min(1,i)),o=r.refine((e=>0===e.length||!e||void 0!==t.pagination||void 0!==t.onSearch||e.every((e=>t.options?.some((r=>r.value.toString()===e.toString()))))),{message:"Selecione ao menos uma opção válida"});break}case"multi-checkbox":{let r=e.z.union([e.z.string(),e.z.number()]).array();t.required&&(r=r.min(1,i)),o=r.refine((e=>0===e.length||!e||e.every((e=>t.options?.some((r=>r.value.toString()===e.toString()))))),{message:"Selecione ao menos uma opção válida"});break}case"date":{let a=e.z.date({required_error:i,description:i,invalid_type_error:i});void 0!==t.min&&(a=a.min(new Date(t.min.getFullYear(),t.min.getMonth(),t.min.getDate()),`O campo ${t.label} não atende a data mínima de ${r.format(t.min,"dd/MM/yyyy")}`)),void 0!==t.max&&(a=a.max(new Date(t.max.getFullYear(),t.max.getMonth(),t.max.getDate()),`O campo ${t.label} não atende a data máxima de ${r.format(t.max,"dd/MM/yyyy")}`)),o=a;break}case"datetime":{let a=e.z.date({required_error:i,description:i,invalid_type_error:i});void 0!==t.min&&(a=a.min(new Date(t.min.getFullYear(),t.min.getMonth(),t.min.getDate(),t.min.getHours(),t.min.getMinutes()),`O campo ${t.label} não atende a data mínima de ${r.format(t.min,"dd/MM/yyyy HH:mm")}`)),void 0!==t.max&&(a=a.max(new Date(t.max.getFullYear(),t.max.getMonth(),t.max.getDate(),t.max.getHours(),t.max.getMinutes()),`O campo ${t.label} não atende a data máxima de ${r.format(t.max,"dd/MM/yyyy HH:mm")}`)),o=a;break}case"time":o=e.z.date({required_error:i,description:i,invalid_type_error:i}).refine((e=>void 0===t.min||e.getHours()>t.min.getHours()||e.getHours()===t.min.getHours()&&e.getMinutes()>=t.min.getMinutes()),`O campo ${t.label} não atende o tempo mínimo de ${r.format(t.min||new Date,"HH:mm")}`).refine((e=>void 0===t.max||e.getHours()<t.max.getHours()||e.getHours()===t.max.getHours()&&e.getMinutes()<=t.max.getMinutes()),`O campo ${t.label} não atende o tempo máximo de ${r.format(t.max||new Date,"HH:mm")}`);break;case"month":o=e.z.date({required_error:i,description:i,invalid_type_error:i}).refine((e=>void 0===t.min||e.getFullYear()>t.min.getFullYear()||e.getFullYear()===t.min.getFullYear()&&e.getMonth()>=t.min.getMonth()),`O campo ${t.label} não atende o período mínimo de ${r.format(t.min||new Date,"MM/yyyy")}`).refine((e=>void 0===t.max||e.getFullYear()<t.max.getFullYear()||e.getFullYear()===t.max.getFullYear()&&e.getMonth()<=t.max.getMonth()),`O campo ${t.label} não atende o período máximo de ${r.format(t.max||new Date,"MM/yyyy")}`);break;case"number":{let r=e.z.coerce.number({required_error:i,invalid_type_error:i});void 0!==t.min&&(r=r.min(t.min,`O campo ${t.label} não atende o valor mínimo de ${t.min}`)),void 0!==t.max&&(r=r.max(t.max,`O campo ${t.label} não atende o valor máximo de ${t.max}`)),o=r.refine((e=>!t.required||!Number.isNaN(e)),i);break}case"color":{let r=e.z.string({required_error:i});a&&(r=r.regex(/^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/,"Informe uma cor válida")),t.required&&(r=r.min(1,i)),o=r;break}case"hyperlink":{let r=e.z.object({label:e.z.string().trim().transform((e=>t.formatText?"upperCase"===t.formatText?e.toUpperCase():"lowerCase"===t.formatText?e.toLowerCase():e.charAt(0).toUpperCase()+e.slice(1).toLowerCase():e)),value:e.z.string().trim()}).array();t.required&&(r=r.min(1,i)),o=r;break}case"dynamic-checkbox":{let r=e.z.object({label:e.z.string().trim(),value:e.z.boolean()}).array();t.required&&(r=r.min(1,i)),o=r;break}case"rate":o=e.z.coerce.number({required_error:i,invalid_type_error:i}).max(t.max||5,`O campo ${t.label} não atende o valor máximo de ${t.max}`).refine((e=>!t.required||Boolean(e)),i);break;default:o=e.z.any()}if(o){t.required&&!t.hidden||(o=o.nullish());const e=o.safeParse(a);if(!1===e.success)return e.error.issues.map((e=>e.message)).join("\n");if(t.validate)return t.validate(a)}};
//# sourceMappingURL=field.entity.cjs.js.map
