import{z as e}from"zod";import{format as r}from"date-fns";function a(e){const r=Array();for(const a of e)for(const e of a)if(e.rules)for(const a of e.rules)r.push(a.dependentFieldName);return r}function o(e,r){return r}function t(a,o){let t;const i=`O campo ${o.label} é obrigatório`;switch(o.type){case"email":t=e.string({required_error:i}).trim().email(`O campo ${o.label} não possui um e-mail valido.`);break;case"password":{let r=e.string({required_error:i});o.required&&(r=r.min(6,`O campo ${o.label} precisa ter ao menos 6 caracteres.`)),t=r;break}case"text":{let r=e.string({required_error:i}).trim();o.required&&(r=r.min(1,i)),void 0!==o.maxLength&&(r=r.max(o.maxLength,`O campo ${o.label} não atende a quantidade máxima de ${o.maxLength} caracteres`)),t=r;break}case"select":{let r=e.string({required_error:i}).or(e.number({required_error:i}));o.required&&(r=e.string({required_error:i}).min(1,i).or(e.number({required_error:i}).min(1,i))),t=r.refine((e=>!e||void 0!==o.pagination||void 0!==o.onSearch||o.options?.some((r=>r.value.toString()===e.toString()))),"Selecione uma opção válida");break}case"switch":case"checkbox":{const r=e.boolean({required_error:i});t=o.required?r.refine((e=>!0===e),{message:i}):r;break}case"multi-select":{let r=e.union([e.string(),e.number()]).array();o.required&&(r=r.min(1,i)),t=r.refine((e=>0===e.length||!e||void 0!==o.pagination||void 0!==o.onSearch||e.every((e=>o.options?.some((r=>r.value.toString()===e.toString()))))),{message:"Selecione ao menos uma opção válida"});break}case"multi-checkbox":{let r=e.union([e.string(),e.number()]).array();o.required&&(r=r.min(1,i)),t=r.refine((e=>0===e.length||!e||e.every((e=>o.options?.some((r=>r.value.toString()===e.toString()))))),{message:"Selecione ao menos uma opção válida"});break}case"date":{let a=e.date({required_error:i,description:i,invalid_type_error:i});void 0!==o.min&&(a=a.min(new Date(o.min.getFullYear(),o.min.getMonth(),o.min.getDate()),`O campo ${o.label} não atende a data mínima de ${r(o.min,"dd/MM/yyyy")}`)),void 0!==o.max&&(a=a.max(new Date(o.max.getFullYear(),o.max.getMonth(),o.max.getDate()),`O campo ${o.label} não atende a data máxima de ${r(o.max,"dd/MM/yyyy")}`)),t=a;break}case"datetime":{let a=e.date({required_error:i,description:i,invalid_type_error:i});void 0!==o.min&&(a=a.min(new Date(o.min.getFullYear(),o.min.getMonth(),o.min.getDate(),o.min.getHours(),o.min.getMinutes()),`O campo ${o.label} não atende a data mínima de ${r(o.min,"dd/MM/yyyy HH:mm")}`)),void 0!==o.max&&(a=a.max(new Date(o.max.getFullYear(),o.max.getMonth(),o.max.getDate(),o.max.getHours(),o.max.getMinutes()),`O campo ${o.label} não atende a data máxima de ${r(o.max,"dd/MM/yyyy HH:mm")}`)),t=a;break}case"time":t=e.date({required_error:i,description:i,invalid_type_error:i}).refine((e=>void 0===o.min||e.getHours()>o.min.getHours()||e.getHours()===o.min.getHours()&&e.getMinutes()>=o.min.getMinutes()),`O campo ${o.label} não atende o tempo mínimo de ${r(o.min||new Date,"HH:mm")}`).refine((e=>void 0===o.max||e.getHours()<o.max.getHours()||e.getHours()===o.max.getHours()&&e.getMinutes()<=o.max.getMinutes()),`O campo ${o.label} não atende o tempo máximo de ${r(o.max||new Date,"HH:mm")}`);break;case"month":t=e.date({required_error:i,description:i,invalid_type_error:i}).refine((e=>void 0===o.min||e.getFullYear()>o.min.getFullYear()||e.getFullYear()===o.min.getFullYear()&&e.getMonth()>=o.min.getMonth()),`O campo ${o.label} não atende o período mínimo de ${r(o.min||new Date,"MM/yyyy")}`).refine((e=>void 0===o.max||e.getFullYear()<o.max.getFullYear()||e.getFullYear()===o.max.getFullYear()&&e.getMonth()<=o.max.getMonth()),`O campo ${o.label} não atende o período máximo de ${r(o.max||new Date,"MM/yyyy")}`);break;case"number":{let r=e.coerce.number({required_error:i,invalid_type_error:i});void 0!==o.min&&(r=r.min(o.min,`O campo ${o.label} não atende o valor mínimo de ${o.min}`)),void 0!==o.max&&(r=r.max(o.max,`O campo ${o.label} não atende o valor máximo de ${o.max}`)),t=r.refine((e=>!o.required||!Number.isNaN(e)),i);break}case"color":{let r=e.string({required_error:i});a&&(r=r.regex(/^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/,"Informe uma cor válida")),o.required&&(r=r.min(1,i)),t=r;break}case"hyperlink":{let r=e.object({label:e.string().trim().transform((e=>o.formatText?"upperCase"===o.formatText?e.toUpperCase():"lowerCase"===o.formatText?e.toLowerCase():e.charAt(0).toUpperCase()+e.slice(1).toLowerCase():e)),value:e.string().trim()}).array();o.required&&(r=r.min(1,i)),t=r;break}case"dynamic-checkbox":{let r=e.object({label:e.string().trim(),value:e.boolean()}).array();o.required&&(r=r.min(1,i)),t=r;break}case"rate":t=e.coerce.number({required_error:i,invalid_type_error:i}).max(o.max||5,`O campo ${o.label} não atende o valor máximo de ${o.max}`).refine((e=>!o.required||Boolean(e)),i);break;default:t=e.any()}if(t){o.required&&!o.hidden||(t=t.nullish());const e=t.safeParse(a);if(!1===e.success)return e.error.issues.map((e=>e.message)).join("\n");if(o.validate)return o.validate(a)}}export{o as createFields,a as getRequiredFieldNames,t as validateField};
//# sourceMappingURL=field.entity.esm.js.map
